%define aurox_ver 10.1
%define rel 5.2

%define _double_cd 0

ExcludeArch: ppc64
Name: anaconda
Version: 10.0
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Summary: Graphical system installer
Group: Applications/System
Source: anaconda-%{PACKAGE_VERSION}.tar.bz2
Source1: cs.po
Source2: de.po
Source3: es.po
Source4: fr.po
Source5: it.po
Source6: pl.po
Patch: anaconda-individualPackages.patch
Patch1: anaconda-idecdlist.patch
Patch2: anaconda-10.0-auroxify.patch
Patch3: anaconda-10.0-everythingnosmp.patch
Patch4: anaconda-10.0-images.patch
Patch5: anaconda-10.0-oldguiprogress.patch
Patch6: anaconda-10.0-selectlang.patch
Patch7: anaconda-10.0-syslinux.patch
Patch8: anaconda-10.0-i18n.patch
# Compile fixes
Patch9: anaconda-10.0-gcc34.patch
# Various changes backported from rawhide: xorg, gdk
Patch10: anaconda-10.0-backport.patch
# l10n patches
#Patch100: anaconda-10.0-big.patch
#Patch101: anaconda-10.0-debug.patch

# LDP edition modifications:
# no server class available and no emacs :(
Patch100: anaconda-9.2-noserverclass.patch
Patch101: anaconda-9.2-noemacs.patch

BuildPreReq: pump-devel >= 0.8.20, kudzu-devel >= 1.1.52, pciutils-devel, bzip2-devel, e2fsprogs-devel, python-devel gtk2-devel rpm-python >= 4.2-0.61, newt-devel, rpm-devel, gettext >= 0.11, rhpl, booty, libxml2-python, zlib-devel, bogl-devel >= 0:0.1.9-17, bogl-bterm >= 0:0.1.9-17, elfutils-devel, beecrypt-devel, libselinux-devel >= 1.6
%ifarch i386
BuildRequires: dietlibc
%endif
Requires: rpm-python >= 4.2-0.61, rhpl > 0.63, parted >= 1.6.3-7, booty, kudzu
Requires: pyparted
Url: http://rhlinux.redhat.com/anaconda/

BuildRoot: %{_tmppath}/anaconda-%{PACKAGE_VERSION}

%description
The anaconda package contains the program which was used to install your 
system.  These files are of little use on an already installed system.

%package runtime
Summary: Aurox Linux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false
Requires: libxml2-python

%description runtime
The anaconda-runtime package contains parts of the installation system which 
are needed for installing new systems.  These files are used to build media 
sets, but are not meant for use on already installed systems.

%prep

%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1


%if %{_double_cd}
%patch100 -p1
%patch101 -p1
%endif


# Copy updated .po files
cp -f %{SOURCE1} po/
cp -f %{SOURCE2} po/
cp -f %{SOURCE3} po/
cp -f %{SOURCE4} po/
cp -f %{SOURCE5} po/
cp -f %{SOURCE6} po/

%build
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#strip $RPM_BUILD_ROOT/usr/sbin/ddcprobe

strip $RPM_BUILD_ROOT/usr/lib/anaconda/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
%doc docs/install-methods.txt
%doc docs/kickstart-docs.txt
%doc docs/kickstart-docs.html
%doc docs/mediacheck.txt
%doc docs/anaconda-release-notes.txt
/usr/bin/mini-wm
/usr/sbin/anaconda
/usr/share/anaconda
/usr/share/locale/*/*/*
/usr/lib/anaconda

%files runtime
%defattr(-,root,root)
/usr/lib/anaconda-runtime

%triggerun -- anaconda < 8.0-1
/sbin/chkconfig --del reconfig >/dev/null 2>&1 || :

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Tue Dec 21 2004 Aurox Team <aurox@aurox.org> 0:10.0-10.1.aur.5.2
- Make sure bootloader upgrade works.
- build for LWS edition (double cd)
- Final release.
- Rebuild.
- Major translation update.
- Decrease the default CD size by 10 MiB to 690.
- Bind mount /mnt/sysimage/dev (backport).
- Update l10n, bump the release.
- Merge back local changes to anaconda-9.2, install in Polish fixed.
- Merge Aurox patches, 10.0-10.1.aur.1.
- Merge upstream to anaconda-10.0-5.
- full version, but with bootdisk creation turned off
- patch for skipping bootdisk creator applied
- variables added to produce anaconda for LWS and LDP editions easier
- now we build anaconda for LWS
- Update LVM interface.
- Update moduleset (dm-mod).
- Really apply patches this time.
- More fixups needed.
- Module dependencies right and some one-liners.
- More 2.6 stuff (modules).
- #include fixups due to new dietlibc
- Remove modutils-devel dep.
- Rework module loading for 2.6.
- More 2.6 compat fixes
- Mount /sys.
- update single CD patch (games are back, update Polish and German translations)
- rebuild for single CD KDE edition
- rebuild with LDP patches
- while building installer, use new names of the *-config-* packages
- ask for language used - before testing CD
- now really apply the release file patch
- fix warning message displayed during Aurox upgrade
- remove .svn dirs
- rebuild for full (non-ldp) release
- fix mismatch in CD required message (Polish trnaslation)
- remove emacs from Workstation class: we are not shipping emacs with LDP edition
- really apply the ideCdList patch
- build for Linux4Beginners edition: remove server class
- add function returning list of IDE CD drives for booty
- GUI and package selection fixes
- remove unnecessary files from bootdisk _before_ copying kernel
- fix building and more untranslated messages
- add time zones to the pot
- fix one untranslated string "configuration..."
- update Polish translation
- use splash image on images greater than 1445 only
- update strings regarding Red Hat Linux
- update Polish translation
- fix building installer; add default language settings; replace some of the 'Red Hat' strings with Aurox
- recognize aurox-release; upgrade from both RHL, Fedora and Aurox
- fix Polish language in lang-table

* Fri Apr 30 2004 Jeremy Katz <katzj@redhat.com>
- Update description, remove prereq on stuff that was only needed 
  for reconfig mode 

* Tue Feb 24 2004 Jeremy Katz <katzj@redhat.com>
- buildrequire libselinux-devel

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com>
- require booty (#109272)

* Tue Oct  8 2002 Jeremy Katz <katzj@redhat.com>
- back to mainstream rpm instead of rpm404

* Mon Sep  9 2002 Jeremy Katz <katzj@redhat.com>
- can't buildrequire dietlibc and kernel-pcmcia-cs since they don't always
  exist

* Wed Aug 21 2002 Jeremy Katz <katzj@redhat.com>
- added URL

* Thu May 23 2002 Jeremy Katz <katzj@redhat.com>
- add require and buildrequire on rhpl

* Tue Apr 02 2002 Michael Fulbright <msf@redhat.com>
- added some more docs

* Fri Feb 22 2002 Jeremy Katz <katzj@redhat.com>
- buildrequire kernel-pcmcia-cs as we've sucked the libs the loader needs 
  to there now

* Thu Feb 07 2002 Michael Fulbright <msf@redhat.com>
- goodbye reconfig

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com>
- update the BuildRequires a bit

* Fri Jan  4 2002 Jeremy Katz <katzj@redhat.com>
- ddcprobe is now done from kudzu

* Wed Jul 18 2001 Jeremy Katz <katzj@redhat.com>
- own /usr/lib/anaconda and /usr/share/anaconda

* Fri Jan 12 2001 Matt Wilson <msw@redhat.com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw@redhat.com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike@redhat.com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike@redhat.com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike@redhat.com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike@redhat.com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike@redhat.com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike@redhat.com>
- first try at packaging reconfiguration tool

